Syntax Highlight on Rails

Quer fazer um syntax highlight igual ao do codestacker abaixo, a la Textmate? É fácil:

Faça o download da biblioteca de expressões regulares Oniguruma. A versão mais recente é a 5.9.1. Compile-a:

 ./configure && make && make install 

Após isso instale as gems Oniguruma, Textpow e Ultraviolet e instale o plugin tm_syntax_highlighting em seu projeto.

Em suas views, utilize:

 code(some_ruby_code, :theme => "twilight", :lang => "ruby", :line_numbers => true) 
 

Rails e cia no Snow Leopard

Fiz uma instalação nova do Snow Leopard no meu MacBook e ao migrar os dados do Time Machine, do Leopard, algumas coisas pararam de funcionar. Resolvi então escrever para complementar meu post anterior sobre o assunto.

Xcode

ANTES DE MAIS NADA, instalei o Xcode. Ele está junto no DVD do Snow Leopard, na pasta de Instalações Opcionais.

Rails

O Snow Leopard já vem com duas versões do Rails já instaladas: 2.2.2 e 1.13.6. Caso queira atualizar seu ambiente:
Read more

 

Rails, Git, MySQL e mod_rails no Leopard

Comprou um Mac? Não sabe por onde começar? Esse é um mega-post mostrando como configurar Ruby on Rails, Git, MySQL e mod_rails no Leopard. É tudo muito-fácil!

Ruby on Rails

O Leopard já vem com Ruby e Rails já instalados. Então, a única sugestão é a de atualizar todos os gems. O comando gem list deve apontar os gems instalados. Por padrão, são:

Read more